package com.ozs.pm.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import com.ozs.base.domain.vo.BaseExpertVo;
import com.ozs.pm.doman.PmDemand;
import org.apache.ibatis.annotations.Param;

import java.util.List;


/**
 * 采购需求Mapper接口
 * 
 * @author ruoyi
 * @date 2023-01-16
 */
public interface PmDemandMapper extends BaseMapper<PmDemand>
{
    /**
     * 查询采购需求
     * 
     * @param demandId 采购需求主键
     * @return 采购需求
     */
    public PmDemand selectPmDemandByDemandId(Long demandId);

    /**
     * 查询采购需求列表
     * 
     * @param pmDemand 采购需求
     * @return 采购需求集合
     */
    public List<PmDemand> selectPmDemandList(PmDemand pmDemand);

    /**
     * 新增采购需求
     * 
     * @param pmDemand 采购需求
     * @return 结果
     */
    public int insertPmDemand(PmDemand pmDemand);

    /**
     * 修改采购需求
     * 
     * @param pmDemand 采购需求
     * @return 结果
     */
    public int updatePmDemand(PmDemand pmDemand);

    /**
     * 通过需求ID列表，查询采购执行列表 sunhh
     * @param demandIdList
     * @return
     */
    List<PmDemand> selectByDemandIdList(@Param("demandIdList") List<Integer> demandIdList);

    /**
     * 专家库--查询抽取专家列表 非必传条件：专家名称，开始结束时间 sunhh
     * @param baseExpertVo
     * @return
     */
    List<PmDemand> selectExtractionExpert(BaseExpertVo baseExpertVo);
}
